Bug 144186 - CAN-2004-1183 libtiff integer overflow
CAN-2004-1183 libtiff integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libtiff (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
impact=low,embargoed=20060101
: Security
Depends On:
Blocks: 142822
  Show dependency treegraph
 
Reported: 2005-01-04 17:25 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-15 04:28:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-04 17:25:04 EST
*** This bug has been split off bug 143577 ***

------- Original comment by Josh Bressers (Security Response Team) on 2004.12.22
10:33 -------

Dmitry V. Levin has reported to vendor-sec an issue with tiffdump.
The issue appears to be an integer overflow which could lead to a
buffer overflow.

There is no patch yet.  More work is being done on this issue.  I'll
post more information when it's available.

This issue should also affect RHEL2.1
Comment 1 Matthias Clasen 2005-01-05 09:08:38 EST
I have built libtiff-3.6.1-8 into dist-4E-errata-candidate containing
the fix.
Comment 2 Josh Bressers 2005-01-05 09:20:17 EST
Lifting embargo
Comment 3 Mark J. Cox (Product Security) 2005-02-15 04:28:41 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-035.html

Note You need to log in before you can comment on or make changes to this bug.